Web lists-archives.com

Re: Qt 5.6LTS vs 5.7+




On Sunday September 04 2016 02:50:55 Duncan wrote:

>I meant more or less what they've done with qtquick(1), where it was 
>deprecated and made optional in favor of the newer versions of the API in 
>qtdeclarative.  The older module can still be built to support things 

You mean they could drop QtWayland and replace it with something else? I strongly doubt that will happen during the Qt5 lifetime as that would break backward ABI *and* API compatibility. New components could be introduced of course, but I don't see any technical reason why that couldn't be done in 5.6.x or why that would justify keeping a version without the new component.
Unless of course they plan to drop or relax the backwards compatibility constraint. But if that's the case, why not simply release Qt 6?

I have a hunch the LTS release is more a sort of gesture towards people who're tired of having to keep up with development that maybe has been going a bit faster in recent times, by giving them a version that they can actually sit back and use. Doing significant development on something that some will want to use seems counterproductive in that it's going to spoil the LTS fun for many.

Anyway, all that is just speculation, and here's not really the most appropriate place for it...

R.